# Sujet n° 5 : Fabrication d'un objet physique à partir d'un modèle numérique

*Encadrants :* Stefan Balev, Jean-Luc Ponty

*Technologies et outils :* Impression 3D, OpenSCAD

Considérons un modèle de solide 3D représenté par ses sommets et ses faces (par exemple un fichier STL). À partir de ce modèle, on souhaite construire un objet physique « en fil de fer » en utilisant des tubes d'aluminium, de carbone ou d'un autre matériau pour les arêtes et des connecteurs pour les sommets.

Le but de ce projet est de développer un outil permettant de générer automatiquement les connecteurs à partir du modèle afin de pouvoir les fabriquer par impression 3D.

![exemple d'objet](object.png)
