# Sujet n° 13 : Conception d’une interface pour le suivi de circuits courts alimentaires via des blockchains

*Encadrants :* Aïcha Ferjani, Claude Duvallet, Cyrille Bertelle

La technologie Blockchain permet d’enregistrer de manière sécurisée et infalsifiable des transactions dans un livre de registre numérique et distribué. Une des applications visées concerne le suivi et la traçabilité alimentaire afin d’éviter [les scandales révélés ces dernières années](https://www.lesechos.fr/2013/02/avec-les-raviolis-panzani-le-scandale-de-la-viande-de-cheval-change-de-dimension-318096).

Dans le cadre d’un projet collaboratif mené par des chercheurs du LITIS, des acteurs de l’alimentation et des acteurs de la gestion logistique, une étude est menée pour mettre en place des outils de traçabilité alimentaire basés sur la technologie Blockchain. Ces outils ont également vocation à certifier la localisation des producteurs et donc le fait que la distribution se fasse avec un label « circuits courts ou de proximlité ».

Le but du projet est de travailler sur la mise en œuvre d’interfaces adaptées aux différents utilisateurs et acteurs de la chaîne de production, de distribution et d’achat. Les producteurs doivent pouvoir préciser la localisation de leurs différents sites avec ancrage dans une blockchain. Les transformateurs qui composent des lots mis à la vente, doivent pourvoir les enregistrer dans une blockchain également. Les consommateurs doivent pouvoir obtenir des informations en scannant avec leur smartphone l’étiquette d’un  produit ou lot et obtenir la trace de production ainsi que le label circuit court, le cas échéant.
