# Sujet n° 15 : Conception d’une application Android pour signer ou certifier des Smart Legal Contract

*Encadrants :* Maxence Lambard, Cyrille Bertelle, Claude Duvallet

La technologie Blockchain permet de mettre en œuvre un livre de registre numérique et distribué pour certifier des transactions. Ses applications sont multiples dans de nombreux secteurs d’activités dont notamment la logistique.

Le transport de marchandises, notamment dans le cadre d’échanges échanges internationaux conteneurisés comme ils sont mis en œuvre dans le port du Havre, nécessite de mettre en place des contrats entre vendeurs, acheteurs et acteurs intermédiaires.
La notion récente de Smart Legal Contract (SLC) permet d’automatiser et de sécuriser la réalisation de ces contrats et la vérification de leur exécution. Le bon déroulement des processus automatisés nécessite que différents intervenants dans la chaîne de transport valident ou certifient certaines étapes du chargement, du transport et de la livraison des marchandises.

Le but du projet est de travailler sur la mise en œuvre d’interfaces adaptées, intégrant enter autre des applications de « signature » sous Android, pour authentifier des intervenants, pour certifier par ces intervenants, des étapes de la chaîne de transport. Il s’agit aussi pour certains utilisateurs privilégiés de disposer d’une interface pour suivre le bon déroulement des processus, renseignées par le déclanchement des évènements précédents.
